FLTK Utility Library and Widget Collection (FLU): Flu_Tree_Browser::RData class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members

# Flu_Tree_Browser::RData Class Reference

Recursive data structure passed down through the node tree. More...

`#include <Flu_Tree_Browser.h>`

List of all members.

## Public Attributes
int | x
int | y
int | totalW
int | totalH
bool | first
bool | last
bool | dragging
bool | shiftSelect
bool | shiftSelectAll
bool | visibilityChanged
bool | selectionFollowsHilight
Node * | hilighted
Node * | previous
Node * | grabbed
Node * | dragNode
Node * | animatedNode
int | delta
int | shadedIndex
int | counter
int | searchIndex
int | branchIconW
int | dragPos
int | dragWhere
Fl_Color | lineColor
Fl_Color | bgColor
Fl_Color | selectionColor
bool | forceResize
unsigned int | nextId
FluSimpleString | path
IntStack | branchConnectors
int | insertionMode
Fl_Image * | defaultCollapseIcons [2]
Fl_Image * | defaultBranchIcons [2]
Fl_Image * | collapseIcons [2]
Fl_Image * | branchIcons [2]
Fl_Image * | leafIcon
int | hGap
int | vGap
int | wGap
int | lineStyle
int | lineWidth
int | selectionMode
int | selectionDragMode
bool | showRoot
bool | showConnectors
bool | showLeaves
bool | showBranches
bool | openOnSelect
bool | allowDuplication
bool | animate
bool | animating
bool | singleBranchOpen
bool | moveOnlySameGroup
bool | justOpenedClosed
bool | isMoveValid
bool | doubleClickToOpen
bool | dnd
bool | allBranchesAlwaysOpen
bool | autoBranches
bool | openWOChildren
bool | selectUnderMouse
float | collapseTime
float | fps
float | animationDelta
float | animationOffset
Fl_Color | defLineColor
Fl_Color | defSelectionColor
Fl_Color | shadedColors [2]
Fl_Color | defLeafColor
Fl_Color | defBranchColor
Fl_Font | defLeafFont
Fl_Font | defBranchFont
int | defLeafSize
int | defBranchSize
int | browserX
int | browserY
int | browserW
int | browserH
Node * | root
Flu_Tree_Browser * | tree
unsigned int | cbReason
Node * | cbNode
Node * | lastOpenBranch

## Detailed Description

Recursive data structure passed down through the node tree.

## Member Data Documentation

Node * Flu_Tree_Browser::RData::animatedNode

| lastHilighted,

Node * Flu_Tree_Browser::RData::dragNode

| lastHilighted,

Node * Flu_Tree_Browser::RData::grabbed

| lastHilighted,

Node * Flu_Tree_Browser::RData::previous

| lastHilighted,

The documentation for this class was generated from the following file:

- Flu_Tree_Browser.h